Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class Teleporter

    java.lang.Object
      net.minecraft.src.Teleporter

    public class Teleporter

extends Object

Constructor Summary
`Teleporter()`

Method Summary
`boolean` | `createPortal(World par1World, Entity par2Entity)` Create a new portal near an entity.
`boolean` | `placeInExistingPortal(World par1World, Entity par2Entity, double par3, double par5, double par7, float par9)` Place an entity in a nearby portal which already exists.
`void` | `placeInPortal(World par1World, Entity par2Entity, double par3, double par5, double par7, float par9)` Place an entity in a nearby portal, creating one if necessary.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Teleporter

    public Teleporter()

Method Detail

### placeInPortal

    public void placeInPortal(World par1World,
                              Entity par2Entity,
                              double par3,
                              double par5,
                              double par7,
                              float par9)

  Place an entity in a nearby portal, creating one if necessary.

### placeInExistingPortal

    public boolean placeInExistingPortal(World par1World,
                                         Entity par2Entity,
                                         double par3,
                                         double par5,
                                         double par7,
                                         float par9)

  Place an entity in a nearby portal which already exists.

### createPortal

    public boolean createPortal(World par1World,
                                Entity par2Entity)

  Create a new portal near an entity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD